% this function shows how sworker can load a file, 
% and save the results. It shows some of the pecularities of matlab. For
% example loading inside a worker returns a struct and saving from a
% workers needs some extra work.
% In the example it assumes there is a directory named "data" which
% contains input files input1.mat, input2.mat .... inputN.mat. I also
% assumes all those input files contain a variable named "a"
% It also assumes there is a directory named "output" where the output
% files will be stored

function SPMD_composite( N )


spmd
    id = labindex;
    dstruct = load(['data/input' num2str(id) '.mat'])
    mya = dstruct.a;
    output = mya + N;
    parsave (['data/output' num2str(id) '.mat'], output)
    
end

end

function parsave(fname,data)
    save (fname,'data');
end